Package org.eclipse.birt.report.engine.content

# Interface IElement

All Known Subinterfaces:
  `org.eclipse.birt.report.engine.css.engine.CSSStylableElement`, `IAutoTextContent`, `IBandContent`, `ICellContent`, `IContainerContent`, `IContent`, `IDataContent`, `IForeignContent`, `IGroupContent`, `IImageContent`, `ILabelContent`, `IListBandContent`, `IListContent`, `IListGroupContent`, `IPageContent`, `IRowContent`, `ITableBandContent`, `ITableContent`, `ITableGroupContent`, `ITextContent`

public interface IElement
Provides the interface of the element of the report. All elements in the report must have the implementations of IElement or its subinterface.

## Method Summary

Modifier and Type
Method
Description
`Collection<IContent>`
`getChildren()`
Get the children of the element, or return `null` if the element is in leaf level.
`IElement`
`getParent()`
Get the parent of the element object, or return `null` if the element is in top level.
`void`
`setParent(IElement parent)`
Set the parent of the element.

## Method Details

### getParent

IElement getParent()
Get the parent of the element object, or return `null` if the element is in top level.

Returns:
  the parent of the element.

### setParent

void setParent(IElement parent)
Set the parent of the element.

Parameters:
  `parent` - the parent of the element

### getChildren

Collection<IContent> getChildren()
Get the children of the element, or return `null` if the element is in leaf level.

Returns:
  the children of the element.